petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESSetSolution

Sets the solution vector for use by the SNES routines.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESSetSolution(SNES snes, Vec u)

Logically Collective on SNES and Vec Many br

### Input Parameters

| snes | - the SNES context obtained from SNESCreate() Many br
| u | - the solution vector Many br

Many br

### Keywords

SNES, set, solution

Level:beginner
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages